Charlie Clark wrote on 28.09.2011 01:41:
> Am 25.09.2011, 11:04 Uhr, schrieb Ruslan Mahmatkhanov<>:
>> Good day.
>> When trying to access zope with Products.CMFUid installed, i got this
>> error:
>> """
>> File
>> "/usr/local/lib/python2.7/site-packages/Products.CMFUid-2.1.3-py2.7.egg/Products/CMFUid/",
>> line 118, in UniqueIdAnnotationTool
>>        SimpleItem.__implements__,
>> AttributeError: type object 'SimpleItem' has no attribute
>> '__implements__'
>> """
>> I dunno if this correct solution, but i was able to avoid this with
>> changing calls to SimpleItem.__implements__ to
>> SimpleItem.__implemented__. And all seems working fine.
> Hi Ruslan,
> I've just looked at this and it seems that we never released a 2.2 version
> of CMFUid so you're using a very old bit of code that is most probably not
> suited to your version of Zope. You should be okay with the 2.2.0-beta
> version.
> Charlie

Hi, Charlie.

Where can i get that 2.2.0-beta? I checked PyPi and they hold on 2.1.3:

Maybe you can update it there to latest one? Thanks.


Tinderboxing kills... the drives.
Zope-CMF maillist  -

See for bug reports and feature requests

Reply via email to